JAR List Updates June 2022 Updates

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 1st Updates


JAR List Options that have been added:
- Pixelmon Generations (8.7.1).
- Forge 1.18.2 (Latest - 40.1.30).

NOTE - As with all of the plain Forge options, it will wipe your servers config and mods folders on install. Unless you require the newer Forge build for any mod changes you are making you should not update to this build.

If you do require a Forge update, follow these steps exactly to avoid any issues with your setup:
- Stop the server.
- EITHER - Download a copy of your mods and config folders OR rename them in the files to something else OR move them into a different directory so they are not in the base directory.
- Set your server to load a new world by changing the name in the World box on your control panel and save changes at the bottom of the page (keep note of your old world name).
- [For Forge 1.17.1/1.18.1] Delete the libraries folder from your server files.
- Select the updated Forge option on the jar list.
- When the page refreshes to confirm the change - restart.
- When the server comes up as online shut it back down.
- Put your world name back in the World box and save changes at the bottom of the page.
- Delete the new mods and config folders from the files.
- EITHER - Reupload your mods and config folders that you downloaded previously OR rename them back to mods and config OR move them back to the base directory.
- Start the server back up - Done.


JAR List Options that have been updated:
- Vanilla 1.19 Pre-Release 4 updated to Pre-Release 5.
- The Mohist 1.16.5 option, updated to build 1012.
- The SpongeForge 1.12.2 option, updated to include SpongeForge 8.1.0-RC1137.

To update if you are already using these options simply delete the jar folder from the server files and restart the server.
For those updating the SpongeForge option you will need to delete the SpongeForge jar file from the mods folder as well as the jar folder before restarting.




Remember to keep up to date with the options tagged with [Latest] on the jarlist if you use them - updates for these are found on the first link below, and the second link lets you know how to update if you use these options:
https://www.beastnode.com/forums/threads/jar-list-latest-updates.143/
https://www.beastnode.com/forums/threads/latest-jar-list-options-and-how-when-to-update-them.174/
 
Last edited:

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 2nd Updates


JAR List Options that have been added:
- Vanilla 1.19 Release Candidate 1.


JAR List Options that have been removed:
- Pixelmon Generations (8.7.0).
- Forge 1.18.2 (Latest - 40.1.25).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 3rd Updates


JAR List Options that have been updated:
- Vanilla 1.19 Release Candidate 1 updated to Release Candidate 2.

To update if you are already using this option simply delete the jar folder from the server files and restart the server.
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 7th Updates


JAR List Options that have been added:
- Curse - All the Mods 6 (1.8.26)[Unsupported].
- Fabric 1.19 using Fabric Loader (0.14.6) and including Fabric-API (0.55.1).
- Vanilla 1.19.
- Spigot 1.19 - Further updates to this option will be noted on the usual thread for [Latest] options.

Remember when updating to a new Minecraft version to make a backup of your server files (particularly world data) before updating so you have a rollback point if needed!
It is never guaranteed that a world from an older version won't have issues if you update, and you cannot backdate from 1.19 to 1.18.2 and older without issues (backdating the server version with the same world is never supported).
Worlds that were used with the 1.19 Snapshots/Pre-Releases/Release Candidates are also not supported with 1.19 itself, as is always the case with Snapshot worlds.

For Spigot servers you should be testing locally/on a separate server that your plugins work with 1.19 before updating your active server - if they are not you should not update until your plugins are updated and usable with 1.19.

Please also note that unless reports start appearing to suggest otherwise, the ongoing performance issues for Minecraft 1.13+ are still present and all of the recommended tweaks for improvements are still recommended:
- https://www.beastnode.com/forums/threads/minecraft-1-13-performance-issues.914/

- Forge 1.18.2 (Latest - 40.1.47).

NOTE - As with all of the plain Forge options, it will wipe your servers config and mods folders on install. Unless you require the newer Forge build for any mod changes you are making you should not update to this build.

If you do require a Forge update, follow these steps exactly to avoid any issues with your setup:
- Stop the server.
- EITHER - Download a copy of your mods and config folders OR rename them in the files to something else OR move them into a different directory so they are not in the base directory.
- Set your server to load a new world by changing the name in the World box on your control panel and save changes at the bottom of the page (keep note of your old world name).
- [For Forge 1.17 or newer] Delete the libraries folder from your server files.
- Select the updated Forge option on the jar list.
- When the page refreshes to confirm the change - restart.
- When the server comes up as online shut it back down.
- Put your world name back in the World box and save changes at the bottom of the page.
- Delete the new mods and config folders from the files.
- EITHER - Reupload your mods and config folders that you downloaded previously OR rename them back to mods and config OR move them back to the base directory.
- Start the server back up - Done.


JAR List Options that have been updated:
- The Default option now runs on Vanilla 1.19.
- New services purchased from the time of this post will be set up with Vanilla 1.19 automatically (until Spigot 1.19 has been out for a little while and had it's first wave of major bug fixes, at which time this will change back to Spigot).

If you use the Default option you will need to delete the jar folder from the server files and then restart for the server to update - the notes above apply. In general it is recommended to use the specific "Vanilla 1.19" option over Default.

- The Mohist 1.16.5 option, updated to build 1021.
- The Fabric 1.18.2 option, updated to include Fabric-API (0.55.1).
- The SpongeForge 1.16.5 option, updated to include SpongeForge 8.1.0-RC1150.

To update if you are already using these options simply delete the jar folder from the server files and restart the server.
For those updating the SpongeForge option you will need to delete the SpongeForge jar file from the mods folder as well as the jar folder before restarting.
For those updating the Fabric option if you have renamed the Fabric-API.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (nothing else in the mods folder is touched so it won't effect your installed mods when updating).


JAR List Options that have been removed:
- Vanilla 1.19 Snapshot 22w11a
- Vanilla 1.19 Snapshot 22w12a
- Vanilla 1.19 Snapshot 22w13a
- Vanilla 1.19 Snapshot 22w14a
- Vanilla 1.19 Snapshot 22w15a
- Vanilla 1.19 Snapshot 22w16a
- Vanilla 1.19 Snapshot 22w17a
- Vanilla 1.19 Snapshot 22w18a
- Vanilla 1.19 Snapshot 22w19a
- Vanilla 1.19 Pre-Release 5
- Vanilla 1.19 Release Candidate 2


JAR List Options that have been changed:
- Spigot 1.18.2 is no longer marked as [Latest]. A potentially final update was pushed today, please make sure you are up to date if using Spigot 1.18.2 by deleting the jar folder and restarting the server.
- Vanilla and Spigot 1.16.5 are now listed along with the Unsupported options as we only support the latest 3 major releases - servers running older Vanilla/Spigot versions should consider updating if possible.
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 11th Updates


JAR List Options that have been added:
- AT - A Bit of Everything 3 (4.4.8)[Unsupported].


JAR List Options that have been updated:
- NukkitX has updated for Bedrock 1.19.0 support.

To update if you are already using the NukkitX option simply delete the jar folder from the server files and restart the server.


JAR List Options that have been removed:
- Curse - All the Mods 6 (1.8.24).
- Forge 1.18.2 (Latest - 40.1.30).

General note RE Forge 1.19 - While this has been released in it's initial builds we will leave it for a couple of weeks before adding it to our list to allow for them to fix any immediate major bugs/issues first. If you require Forge 1.19 for your setup it can be installed manually following this guide:
- https://www.beastnode.com/portal/index.php?rp=/knowledgebase/214/
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 13th Updates


JAR List Options that have been added:
- AT - A Bit of Everything 3 (4.4.8-2)[Unsupported].
- FTB - Direwolf20-1.18 (1.4.1).
- PaperSpigot 1.19 - Further updates to this option will be noted on the usual thread for [Latest] options.


JAR List Options that have been removed:
- AT - A Bit of Everything 3 (4.4.7).


JAR List Options that have been changed:
- PaperSpigot 1.18.2 is no longer marked as [Latest].
- PaperSpigot 1.16.5 is now listed along with the Unsupported options.
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 15th Updates


JAR List Options that have been added:
- Vanilla 1.19.1 Snapshot 22w24a.
- Forge 1.18.2 (Latest - 40.1.51).

NOTE - As with all of the plain Forge options, it will wipe your servers config and mods folders on install. Unless you require the newer Forge build for any mod changes you are making you should not update to this build.

If you do require a Forge update, follow these steps exactly to avoid any issues with your setup:
- Stop the server.
- EITHER - Download a copy of your mods and config folders OR rename them in the files to something else OR move them into a different directory so they are not in the base directory.
- Set your server to load a new world by changing the name in the World box on your control panel and save changes at the bottom of the page (keep note of your old world name).
- [For Forge 1.17 or newer] Delete the libraries folder from your server files.
- Select the updated Forge option on the jar list.
- When the page refreshes to confirm the change - restart.
- When the server comes up as online shut it back down.
- Put your world name back in the World box and save changes at the bottom of the page.
- Delete the new mods and config folders from the files.
- EITHER - Reupload your mods and config folders that you downloaded previously OR rename them back to mods and config OR move them back to the base directory.
- Start the server back up - Done.


JAR List Options that have been updated:
- The Mohist 1.16.5 option, updated to build 1030.
- The SpongeForge 1.16.5 option, updated to include SpongeForge 8.1.0-RC1152.
- The Fabric 1.18.2 option, updated to use Fabric Loader (0.14.7) and to include Fabric-API (0.56.0).
- The Fabric 1.19 option, updated to use Fabric Loader (0.14.7) and to include Fabric-API (0.56.0).

To update if you are already using these options simply delete the jar folder from the server files and restart the server.
For those updating the SpongeForge options you will need to delete the SpongeForge jar file from the mods folder as well as the jar folder before restarting.
For those updating the Fabric option if you have renamed the Fabric-API.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (nothing else in the mods folder is touched so it won't effect your installed mods when updating).


JAR List Options that have been removed:
- AT - A Bit of Everything 3 (4.4.8).
 
Last edited:

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 19th Updates


JAR List Options that have been added:
- Curse - Roguelike Adventures and Dungeons (1.50).
- FTB - Direwolf20-1.18 (1.5.1).


JAR List Options that have been removed:
- Forge 1.18.2 (Latest - 40.1.47).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 22nd Updates


JAR List Options that have been added:
- Vanilla 1.19 Pre-Release 1.
- Forge 1.18.2 (Latest - 40.1.52).
- Forge 1.19 (Latest - 41.0.45).


JAR List Options that have been updated:
- The Fabric 1.18.2 option, updated to use Fabric Loader (0.14.8) and to include Fabric-API (0.56.1).
- The Fabric 1.19 option, updated to use Fabric Loader (0.14.8) and to include Fabric-API (0.56.1).
- The Mohist 1.16.5 option, updated to build #1035.
- The SpongeForge 1.12.2 option, updated to include SpongeForge 8.1.0-RC1153.

To update if you are already using these options simply delete the jar folder from the server files and restart the server.
For those updating the Fabric options if you have renamed the Fabric-API.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (nothing else in the mods folder is touched so it won't effect your installed mods when updating).
For those updating the SpongeForge option if you have renamed the spongeforge.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (as with Fabric, nothing else in the mods folder is touched so it won't effect your installed mods when updating).


JAR List Options that have been removed:
- Curse - Roguelike Adventures and Dungeons (1.49).
- FTB - Direwolf20-1.18 (1.4.1).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 23rd Updates


JAR List Options that have been added:
- Vanilla 1.19.1 Release Candidate 1.


JAR List Options that have been removed:
- Forge 1.18.2 (Latest - 40.1.51).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 26th Updates


JAR List Options that have been added:
- FTB - University-1.16 (1.6.1).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 29th Updates


JAR List Options that have been added:
- Forge 1.19 (Latest - 41.0.62).


JAR List Options that have been updated:
- The Mohist 1.16.5 option, updated to build #1038.
- The Fabric 1.19 option, updated to use Fabric Loader ([build]) and to include Fabric-API (0.56.3).

To update if you are already using these options simply delete the jar folder from the server files and restart the server.
For those updating the Fabric option if you have renamed the Fabric-API.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (nothing else in the mods folder is touched so it won't effect your installed mods when updating).


JAR List Options that have been removed:
- FTB - University-1.16 (1.4.0).
 

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
June 30th Updates


JAR List Options that have been added:
- Curse - All the Mods 6 (1.8.27)[Unsupported].


JAR List Options that have been updated:
- Vanilla 1.19.1 Pre-Release 1 updated to Pre-Release 2.

To update if you are already using the Pre-Release option simply delete the jar folder from the server files and restart the server.


JAR List Options that have been removed:
- Vanilla 1.19.1 Release Candidate 1 (as they have gone back to Pre-Releases).